package android.support.design.widget;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.view.AbsSavedState;
import android.text.TextUtils;

class TextInputLayout$SavedState extends AbsSavedState {
    public static final Creator<TextInputLayout$SavedState> CREATOR = new 1();
    CharSequence tU;
    boolean tV;

    TextInputLayout$SavedState(Parcelable parcelable) {
        super(parcelable);
    }

    TextInputLayout$SavedState(Parcel parcel, ClassLoader classLoader) {
        super(parcel, classLoader);
        this.tU = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.tV = parcel.readInt() == 1;
    }

    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        TextUtils.writeToParcel(this.tU, parcel, i);
        parcel.writeInt(this.tV ? 1 : 0);
    }

    public String toString() {
        return "TextInputLayout.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " error=" + this.tU + "}";
    }
}
